%define	name	vorbis-tools
%define version 1.4.0
%define subrel	1
%define release %mkrel 6
%define	theirversion %version

Name:		%{name}
Summary:	Several Ogg Vorbis Tools
Version:	%{version}
Release:	%{release}
Group:		Sound/Utilities
License:	GPL
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{theirversion}.tar.gz
Patch0:		vorbis-tools-1.4.0-next_on_SIGUSR1.patch
Patch1:		vorbis-tools-1.2.0-ogg123-play-stdin.patch
Patch2:		vorbis-tools-1.2.0-fix-str-fmt.patch
Patch3:		vorbis-tools-1.4.0-automake-1.13.patch
Patch4:		vorbis-tools-1.4.0-bz1185558.patch
BuildRequires:	curl-devel
BuildRequires:	libogg-devel >= 1.0
BuildRequires:	libao-devel >= 1.0
BuildRequires:	libflac-devel
BuildRequires:  libspeex-devel
BuildRequires:	libvorbis-devel >= 1.3.0
BuildRequires:	texinfo
# (gc) needed for AM_PATH_PROG_WITH_TEST
BuildRequires:	gettext-devel

%description
This package contains oggenc (encoder), oggdec, ogg123 (command line player)
vorbiscomment (metadata editor) and vcut (cut tool).

Find some free Ogg Vorbis music here: http://www.vorbis.com/music/

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p1 -b .next-on-USR1
%patch1 -p1 -b .ogg123-play-stdin
%patch2 -p0
%patch3 -p1 -b .automake-1_13
%patch4 -p1 -b .CVE-2014-9640

touch config.rpath

%build
#ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --install --force
autoreconf --install --force
%configure2_5x \
	--enable-vcut

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# cleanup
rm -rf %{buildroot}/%{_docdir}/%{name}-%{version}

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ogg123/ogg123rc-example
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123*
%{_mandir}/man1/oggenc*
%{_mandir}/man1/oggdec*
%{_mandir}/man1/ogginfo*
%{_mandir}/man1/vcut*
%{_mandir}/man1/vorbiscomment*


%changelog
* Fri Jan 30 2015 luigiwalser <luigiwalser> 1.4.0-6.1.mga4
+ Revision: 812772
- add patch from fedora to fix CVE-2014-9640

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-6.mga4
+ Revision: 520046
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-5.mga3
+ Revision: 385513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.4.0-4.mga3
+ Revision: 337960
- rpm group: Sound/Utilities
- patch3: fix build with automake 1.13

* Sat Feb 05 2011 ahmad <ahmad> 1.4.0-3.mga1
+ Revision: 47115
- imported package vorbis-tools

